Kerbal Space Program - Bug #423

VAB/SPH - Name deletion
03/17/2013 06:32 AM - kitoban

Status: Closed Start date: 03/17/2013
Severity: Unworthy % Done: 100%
Assignee:

Category: Controls and Ul

Target version:

Version: 0.19 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

Details

When deleting a craft name if you select the name from first character (i.e. position 0) pressing and holding the delete key does not
trigger a repeating delete like holding backspace does.

Steps to reproduce
e Enter VAB/SPH
¢ Select the name at first character

¢ Hold delete key

Suggested fix
Add Delete key press to the same logic that handles the backspace (iterating the other way)

Note: I've confirmed this in 0.19 however was present in 0.18.4

History

#1 - 03/24/2013 07:13 AM - sal_vager

- Status changed from New to Confirmed
- Severity changed from Very Low to Petty
- % Done changed from 0 to 10

- Platform Windows added

Confirmed in Ubuntu Linux 12.04+ though with slightly different effect when using Delete.

The first character to the right of the cursor will be deleted, then the cursor will move to the right without deleting any more characters.
Backspace functions normally.

#2 - 07/25/2013 03:32 AM - kitoban

- Status changed from Confirmed to Not a Bug

- % Done changed from 10 to 100

This looks to be resolved in 0.21

#3 - 09/05/2014 11:44 AM - Kerolyov
- Status changed from Not a Bug to Resolved

- Severity changed from Petty to Unworthy

#4 - 07/27/2015 05:55 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)
#5 - 07/17/2016 09:17 AM - TriggerAu

- Status changed from Resolved to Closed
